<script>
//vuex
import {
    mapGetters
} from "vuex";
//com
import DEFAULT from "@/components/template/T-default";
import {
    BIconArrowLeft
} from "bootstrap-vue";
export default {
    render(h) {
        let vm = this;
        let children = [];

        Object.values(this.secondaryComponent).forEach((el, index) => {
            children.push(
                h(
                    DEFAULT, {
                        props: {
                            path: "preview",
                            tabindex: index,
                            componentName: el.name,
                            item: el,
                            link: el.link,
                            ref: el.name + el.id,
                            refName: el.name + el.id,
                        },
                    },
                    []
                )
            );
        });

        let parent = h(
            "div", {
                attrs: {
                    id: "preview",
                },
            },
            [
                h(
                    "div", {
                        attrs: {
                            title: "返回",
                        },
                        class: ["preview_back"],
                        on: {
                            click() {
                                vm.back();
                            },
                        },
                    },
                    [
                        h(BIconArrowLeft, {
                            props: {
                                "font-scale": 1.5,
                            },
                        }),
                    ]
                ),
                ...children,
            ]
        );

        return parent;
    },
    computed: {
        secondaryComponent: {
            get() {
                return this.$store.state.secondaryComponent;
            },
            set(value) {
                this.$store.commit("UPDATE_SECONDARYCOMPONENT", value);
            },
        },
    },
    methods: {
        back() {
            this.$router.push("/home/edit");
        },
    },
    components: {
        DEFAULT,
    },
};
</script>

<style lang="scss" scoped>
#preview {
    max-width: 1140px;
    margin: 0 auto;
}

.preview_back {
    position: absolute;
    top: 10px;
    left: 15px;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 3px 3px 12px rgba($color: #000, $alpha: 0.125);
    transition: all 0.25s ease-in-out;
    z-index: 20;
    cursor: pointer;

    &:hover {
        box-shadow: 3px 3px 12px rgba($color: #000, $alpha: 0.2);
    }

    svg {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}
</style>
